/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/


@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/


}

.tituloNitro-center h1 {
    text-align: center;
}

div#col-1683162434 {
    right: -20px;
}


@media screen and (min-width: 850px) {
    .container .row-large:not(.row-collapse), .row .row-large:not(.row-collapse) {
        margin-bottom: 0;
        /* margin-left: -30px; */
        margin-right: -30px;
    }
}


.layout-center .section-content.relative {
    display: flex;
    justify-content: center;
}

.nav-left {
    justify-content: center !important;
}

/****ESTILOS ANTERIORES
.banSliderg {
    background-image: url(https://nitromotors.pe/new/wp-content/uploads/2026/03/background-2.svg);
    width: 100%;
    min-height: 750px;
    background-position: top center;
    background-repeat: no-repeat;
    background-size: contain; 
   position: relative;
   overflow: hidden;
   
}

.banSliderg::before {
    content: url("https://nitromotors.pe/new/wp-content/uploads/2026/03/blobs_nitro1.svg");
    width: 100%;
    min-height: 100vh;
    position: absolute;
    opacity: .25;
}**/






/************ESTILOS HEADER SLIDER*************/
/* Tu sección principal */
.banSliderg {
   background-image: url(https://nitromotors.pe/new/wp-content/uploads/2026/03/background-2.svg);
    background-size: 100% auto !important; /* Forzamos que ocupe todo el ancho */
    background-position: top center;
    background-repeat: no-repeat;
    width: 100%;
    min-height: 52vw; 
    position: relative;
    display: flex;
    align-items: center;

    background-size: contain; 
}


/* Limpieza del before si no lo necesitas doble */
.banSliderg::before {
    content: url("https://nitromotors.pe/new/wp-content/uploads/2026/03/blobs_nitro1.svg");
    width: 100%;
    min-height: 100vh;
    position: absolute;
    opacity: .25;
    
  
}

/* --- Ajuste de Componentes internos de UX Builder --- */

/* Ajuste para los textos de la izquierda (Motor Completo) */
.banSliderg .tituloNitro-letf h2 {
    font-size: 3.8vw !important; /* El texto escala con el fondo */
    line-height: 0.9;
    margin-bottom: 0;
}


/* Ajuste para el motor central */
.banSliderg .motor-center {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.banSliderg .img-motor {
    width: 100% !important;
    /*max-width: 40vw !important;  Controlamos el tamaño base al ancho */
    transition: all .3s;
}



/* Ajuste para la Van y texto derecha */
.banSliderg .tituloNitro-right h1 {
    font-size: 1em !important;
}




/****************RESPONSIVE MOVIL BANNER SLIDER********************/

/* Corrección para que el contenedor respete el fondo en móvil */
@media (max-width: 768px) {
    .banSliderg {
        background-image: url("https://nitromotors.pe/new/wp-content/uploads/2026/04/footer-nitro-mobile.svg") !important;
        background-size: cover !important; /* Cambiamos a cover para que llene el alto */
        background-position: center top !important;
        
        display: flex !important;/*flex */
        flex-direction: column !important;
        justify-content: flex-start !important;
        padding-top: 60px !important; /*60px Espacio para que no choque con el header */
    }


    /* Forzar a las columnas de UX Builder a ocupar el 100% real */
    .banSliderg .row, 
    .banSliderg .col {
        width: 100% !important;
        margin: 0 !important;
        left: 0 !important;
    }

    .motor-center {
        margin: 30px 0 !important;
        position: relative;
        
        top: 0 !important;
        left: 0 !important;
        right: 0 !important;
        width: 90%;
        transform: none !important;
        text-align: center;
    }
    

    .img-motor {
        width: 85% !important; /* Que el motor resalte */
        margin: 0 auto;
    }
    
    .tituloNitro-letf h1 {
    font-size: 1rem;/*1rem*/
    
    }
    
    .tituloNitro-letf h1:nth-child(2) {
    font-size:  2rem;/*35px*/
    }
    
    .img, .img img{
        padding-top:0px !important;
    }
    
    .tituloNitro-right h1 {
        position: static;
        font-size: 1.2rem;/*1.2rem*/
        text-align: center;
    }
    /*
    .tituloNitro-right img {
        width: 240px;
        left: -158px;
        position: static;
        top: 65px;
    }*/
    
    .tituloNitro-letf, .tituloNitro-right {
        position: relative;
        top: 0 !important;
        left: 0 !important;
        right: 0 !important;
        width: 90%;
        transform: none !important;
        text-align: center;
        margin-left: 0 !important;

    }
    
    .col-inner .text-right {
      padding-top: 0px !important;
   
    }
    /*
    .img-vehicle {
        width: 60%;
        margin: 0 auto;
    
    }*/

    #row-1768561097 > .col > .col-inner {
      padding-top: 0px !important;
        
    }
   
  
 
    
}

/*************FIN ESTILOS HEADER***********/


.form-flat input:not([type=submit]), .form-flat select, .form-flat textarea {
    background-color: #ffcd00;
    border-color: #ffcd00;
    border-radius: 9px;
    box-shadow: none;
    color: #000;
}

input[type=search] {
    height: 40px;
}


.select-resize-ghost, .select2-container .select2-choice, .select2-container .select2-selection, input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea
 {
 
    color: #000;
    font-size: .97em;
    height: 40px;
 
}

.flickity-prev-next-button {
    top: auto;
    bottom: 0px !important;
}

button.flickity-button.flickity-prev-next-button.next {
    left: 80px;
}


/* ======================CONTENEDOR====================== */
/* CONTENEDOR */
.nitro-buttons{
    display: flex;
    gap: 18px;
    align-items: center;
}

/* BASE BOTÓN */
.nitro-btn{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 10px 22px !important;
    font-weight: 700  !important;
    font-size: 14px  !important;
    text-decoration: none;
    border-radius: 14px;
    transition: all 0.25s ease;
    font-family: 'Poppins', sans-serif  !important;
}

/* BOTÓN AMARILLO */
.nitro-btn-primary{
    background: #FFD600;
    color: #000;
}

.nitro-btn-primary:hover{
    background: #000;
    color: #fff !important;

    
}

.nitro-btn-primary:hover .nitro-icon-img { 
    filter: brightness(0) invert(1);
    
}


/* BOTÓN MENU */
.nitro-btn-outline{
    border: 3px solid #2c2c2c;
    background: transparent;
    width: 65px;/*95px*/
    height: 42px;
    flex-direction: column;
    gap: 8px;
    padding: 10px !important;
    border-radius: 10px;
    display: inline-block !important;
}

/* LÍNEAS INTERNAS */
.nitro-line{
    width: 35px;/*42px*/
    height: 3px;
    background: #2c2c2c;
    border-radius: 2px;
}

.nitro-line.short{
    width: 25px;/*15px*/
}
.nitro-icon-img{
  width: 18px;
  height: 18px;
  display: block;
  
  
}


/*ESTILO DE FLATSOME PARA LOS BOTONES MENU DERECHA*/
li.html.custom.html_topbar_left {
    display: flex;
    gap:20px ;
}

.header-search-form input.search-field {
  color: #000 !important;
}

.header-search-form input.search-field::placeholder {
  color: #000 !important;
}


/* ======================ESTILOS DE ICONO====================== */

.logo-nitroslidericono{
width:100%;
overflow:hidden;

padding:20px 0;
}

.logo-nitroslidericono__slider{
width:100%;
overflow:hidden;
position:relative;
}

.logo-nitroslidericono__track{

display:flex;
align-items:center;
gap:60px;

width:max-content;

animation: nitroslider 40s linear infinite;
}

.logo-nitroslidericono__track img{

height:38px;
width:auto;

filter:grayscale(100%);
opacity:.7;

transition:.3s;
}

.logo-nitroslidericono__track img:hover{

filter:grayscale(0%);
opacity:1;
transform:scale(1.05);

}

/* ANIMACION */

@keyframes nitroslider{

0%{
transform:translateX(0);
}

100%{
transform:translateX(-50%);
}

}


/*======*/

.tituloNitro-letf h1:nth-child(2) {
  font-size: 35px;
}


.tituloNitro-right h1 {
    position: static;
    top: 60px;
    right: -75px;
}
/*
.tituloNitro-right img {
    width: 240px;
    left: -158px;
    position: static;
    top: 65px;
}*/

.slider-nav-circle .flickity-prev-next-button .arrow, .slider-nav-circle .flickity-prev-next-button svg {
    border: 3px solid;
    border-radius: 100%;
    border-color: #000000 !important;
}







